Create a customer verification result
curl --request POST \
--url https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"result": "ACCEPTED",
"verification_time": "2023-11-07T05:31:56Z",
"verification_type": "kyc",
"raw_response": {
"provider": "SOCURE",
"raw_data": "{}"
},
"vendor_info": {
"content_type": "text/xml",
"vendor": "IDOLOGY",
"xml": "<string>"
}
}
'import requests
url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications"
payload = {
"result": "ACCEPTED",
"verification_time": "2023-11-07T05:31:56Z",
"verification_type": "kyc",
"raw_response": {
"provider": "SOCURE",
"raw_data": "{}"
},
"vendor_info": {
"content_type": "text/xml",
"vendor": "IDOLOGY",
"xml": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
result: 'ACCEPTED',
verification_time: '2023-11-07T05:31:56Z',
verification_type: 'kyc',
raw_response: {provider: 'SOCURE', raw_data: '{}'},
vendor_info: {content_type: 'text/xml', vendor: 'IDOLOGY', xml: '<string>'}
})
};
fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'result' => 'ACCEPTED',
'verification_time' => '2023-11-07T05:31:56Z',
'verification_type' => 'kyc',
'raw_response' => [
'provider' => 'SOCURE',
'raw_data' => '{}'
],
'vendor_info' => [
'content_type' => 'text/xml',
'vendor' => 'IDOLOGY',
'xml' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications"
payload := strings.NewReader("{\n \"result\": \"ACCEPTED\",\n \"verification_time\": \"2023-11-07T05:31:56Z\",\n \"verification_type\": \"kyc\",\n \"raw_response\": {\n \"provider\": \"SOCURE\",\n \"raw_data\": \"{}\"\n },\n \"vendor_info\": {\n \"content_type\": \"text/xml\",\n \"vendor\": \"IDOLOGY\",\n \"xml\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"result\": \"ACCEPTED\",\n \"verification_time\": \"2023-11-07T05:31:56Z\",\n \"verification_type\": \"kyc\",\n \"raw_response\": {\n \"provider\": \"SOCURE\",\n \"raw_data\": \"{}\"\n },\n \"vendor_info\": {\n \"content_type\": \"text/xml\",\n \"vendor\": \"IDOLOGY\",\n \"xml\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"result\": \"ACCEPTED\",\n \"verification_time\": \"2023-11-07T05:31:56Z\",\n \"verification_type\": \"kyc\",\n \"raw_response\": {\n \"provider\": \"SOCURE\",\n \"raw_data\": \"{}\"\n },\n \"vendor_info\": {\n \"content_type\": \"text/xml\",\n \"vendor\": \"IDOLOGY\",\n \"xml\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"result": "ACCEPTED",
"verification_time": "2023-11-07T05:31:56Z",
"verification_type": "kyc",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"issues": [
"R186: Global Watchlist sources selected are correlated with the input identifiers"
],
"raw_response": {
"provider": "SOCURE",
"raw_data": "{}"
},
"vendor_info": {
"content_type": "text/xml",
"vendor": "IDOLOGY",
"xml": "<string>",
"details": [
{
"code": "R186",
"description": "Global Watchlist sources selected are correlated with the input identifiers"
}
]
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}KYC Verification (deprecated)
Create a customer verification result
deprecated
Create a verification result for a customer.
This endpoint will be removed in API v1. Use POST /v0/verifications instead.
POST
/
customers
/
{customer_id}
/
verifications
Create a customer verification result
curl --request POST \
--url https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"result": "ACCEPTED",
"verification_time": "2023-11-07T05:31:56Z",
"verification_type": "kyc",
"raw_response": {
"provider": "SOCURE",
"raw_data": "{}"
},
"vendor_info": {
"content_type": "text/xml",
"vendor": "IDOLOGY",
"xml": "<string>"
}
}
'import requests
url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications"
payload = {
"result": "ACCEPTED",
"verification_time": "2023-11-07T05:31:56Z",
"verification_type": "kyc",
"raw_response": {
"provider": "SOCURE",
"raw_data": "{}"
},
"vendor_info": {
"content_type": "text/xml",
"vendor": "IDOLOGY",
"xml": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
result: 'ACCEPTED',
verification_time: '2023-11-07T05:31:56Z',
verification_type: 'kyc',
raw_response: {provider: 'SOCURE', raw_data: '{}'},
vendor_info: {content_type: 'text/xml', vendor: 'IDOLOGY', xml: '<string>'}
})
};
fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'result' => 'ACCEPTED',
'verification_time' => '2023-11-07T05:31:56Z',
'verification_type' => 'kyc',
'raw_response' => [
'provider' => 'SOCURE',
'raw_data' => '{}'
],
'vendor_info' => [
'content_type' => 'text/xml',
'vendor' => 'IDOLOGY',
'xml' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications"
payload := strings.NewReader("{\n \"result\": \"ACCEPTED\",\n \"verification_time\": \"2023-11-07T05:31:56Z\",\n \"verification_type\": \"kyc\",\n \"raw_response\": {\n \"provider\": \"SOCURE\",\n \"raw_data\": \"{}\"\n },\n \"vendor_info\": {\n \"content_type\": \"text/xml\",\n \"vendor\": \"IDOLOGY\",\n \"xml\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"result\": \"ACCEPTED\",\n \"verification_time\": \"2023-11-07T05:31:56Z\",\n \"verification_type\": \"kyc\",\n \"raw_response\": {\n \"provider\": \"SOCURE\",\n \"raw_data\": \"{}\"\n },\n \"vendor_info\": {\n \"content_type\": \"text/xml\",\n \"vendor\": \"IDOLOGY\",\n \"xml\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"result\": \"ACCEPTED\",\n \"verification_time\": \"2023-11-07T05:31:56Z\",\n \"verification_type\": \"kyc\",\n \"raw_response\": {\n \"provider\": \"SOCURE\",\n \"raw_data\": \"{}\"\n },\n \"vendor_info\": {\n \"content_type\": \"text/xml\",\n \"vendor\": \"IDOLOGY\",\n \"xml\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"result": "ACCEPTED",
"verification_time": "2023-11-07T05:31:56Z",
"verification_type": "kyc",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"issues": [
"R186: Global Watchlist sources selected are correlated with the input identifiers"
],
"raw_response": {
"provider": "SOCURE",
"raw_data": "{}"
},
"vendor_info": {
"content_type": "text/xml",
"vendor": "IDOLOGY",
"xml": "<string>",
"details": [
{
"code": "R186",
"description": "Global Watchlist sources selected are correlated with the input identifiers"
}
]
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
Body
application/json
Customer verification result to create.
Verification result
Response
Created customer verification result.
Verification result
Was this page helpful?

